using System;
using System.IO;
using Avalonia;
using Avalonia.Controls.ApplicationLifetimes;
using Avalonia.Markup.Xaml;

namespace kawwa;

public partial class App : Application
{
    public static string AppDataPath = Path.Combine(
        Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData),
        "kawwa");
    public static MainWindow? TopWindow;

    public override void Initialize()
    {
        AvaloniaXamlLoader.Load(this);
    }

    public override void OnFrameworkInitializationCompleted()
    {
        Directory.CreateDirectory(AppDataPath);
        ConfigManager.InitializeConfig();
        if (ApplicationLifetime is IClassicDesktopStyleApplicationLifetime desktop)
        {
            TopWindow = new MainWindow();
            desktop.MainWindow = TopWindow  ;
        }
        base.OnFrameworkInitializationCompleted();
    }
}